Album: Dance of Dregs
Style: single
Artists:
- Thomas Ferkol
Date: December 12, 2010
Date Added: February 2, 2025
Cover Artists:
- George Kavallines
Wallpaper Artists:
- George Kavallines
Cover Art File Extension: jpg
Wallpaper File Extension: png
URLs:
- https://eidolonorpheus.bandcamp.com/track/dance-of-dregs
- https://youtu.be/ESNRQFEzirA
Color: '#8bcb41'
Groups:
- Thomas Ferkol
- Beyond
---
Track: Dance of Dregs
Duration: '02:52'
Commentary: |-
    <i>Thomas Ferkol:</i> ([Bandcamp about blurb](https://eidolonorpheus.bandcamp.com/track/dance-of-dregs), excerpt)

    Music accompanying Bravemule video Interlude: 1052 from December, 2010.
